import request from '/@/utils/request';

export function timeStrategyApi() {
    return {
        //获取工作时间组列表
        getWorkTimeList: ()=>{
            return request({
                url: `/workTime/getWorkTimeGroup`,
                method: 'get'
            })
        },

        //获取休息时间组列表
        getRestTimeList: ()=>{
            return request({
                url: `/breakTime/getAllBreakTimeGroup`,
                method: 'get'
            })
        },

        //时间策略分页列表
        getRecordPage: (data: object)=>{
            return request({
                url: `/timeStrategy/getAllTimeStrategyByPage`,
                method: 'post',
                data: data
            })
        },

        // 时间策略全部列表
        getAllRecord: ()=>{
            return request({
                url: `/timeStrategy/getAllTimeStrategy`,
                method: 'get'
            })
        },



        //根据id获取时间策略列表
        getRecordById: (data:object)=>{
            return request({
                url: `/timeStrategy/getTimeStrategyById`,
                method: 'post',
                data: data
            })
        },

        // 时间策略新增
        addRecord: (data: object)=>{
            return request({
                url: `/timeStrategy/addTimeStrategy`,
                method: 'post',
                data: data
            })
        },

        // 时间策略修改
        updateRecord: (data: object)=>{
            return request({
                url: `/timeStrategy/updateTimeStrategy`,
                method: 'post',
                data: data
            })
        },

        // 时间策略删除
        deleteRecord: (data: object)=>{
            return request({
                url: `/timeStrategy/deleteTimeStrategy`,
                method: 'post',
                data: data
            })
        },

        // 时间策略批量删除
        deletBatchRecord: (data: object)=>{
            return request({
                url: `/timeStrategy/deleteBatchTimeStrategy`,
                method: 'post',
                data: data
            })
        },
    };
}
